# Created by pyp2rpm-3.3.7
%global pypi_name opensearch-py
%global pypi_version 1.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Python low-level client for OpenSearch

License:        ASL 2.0
URL:            https://github.com/opensearch-project/%{pypi_name}
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(urllib3)

%description
opensearch-py is a community-driven, open source OpenSearch client
licensed under the Apache v2.0 License. 
For more information, see opensearch.org.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
opensearch-py is a community-driven, open source OpenSearch client
licensed under the Apache v2.0 License. 
For more information, see opensearch.org.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# Tests disabled they install all git clone an opensearch server.
%check
%py3_check_import opensearchpy

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/opensearchpy
%{python3_sitelib}/opensearch_py-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Oct 22 2021 fedora Cloud User - 1.0.0-1
- Initial package.
